package com.huiju.estateagents.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 用户等级设置 
 * </p>
 *
 * @author yansen
 * @since 2020-11-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaPersonLevelSetting implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 等级ID
     */
    @TableId(value = "level_id", type = IdType.INPUT)
    private Integer levelId;

    /**
     * 等级名称
     */
    private String levelName;

    /**
     * 等级说明
     */
    private String levelDesc;

    /**
     * 等级图标
     */
    private String levelIcon;

    /**
     * 积分规则 半角逗号连接,默认闭开区间.0,10代表0-9积分属于当前等级
     */
    private String pointRule;

    /**
     * 公司id
     */
    private Integer orgId;

    /**
     * 创建时间
     */
    private LocalDateTime createDate;

    /**
     * 状态
     */
    private Integer status;


}
